Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.jgoodies.binding.binder
Enum ValueModelBindingBuilder.Commit

    java.lang.Object
      java.lang.Enum<ValueModelBindingBuilder.Commit>
          com.jgoodies.binding.binder.ValueModelBindingBuilder.Commit

All Implemented Interfaces:
  Serializable, Comparable<ValueModelBindingBuilder.Commit>

Enclosing interface:
  ValueModelBindingBuilder

    public static enum ValueModelBindingBuilder.Commit

extends Enum<ValueModelBindingBuilder.Commit>

Describes the commit types used for text field and text area bindings.

Enum Constant Summary
`ON_FOCUS_LOST` Value changes are committed on focus lost.
`ON_KEY_TYPED` Value changes are committed on every key types.

Method Summary
`static ValueModelBindingBuilder.Commit` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ValueModelBindingBuilder.Commit[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ON_FOCUS_LOST

    public static final ValueModelBindingBuilder.Commit ON_FOCUS_LOST

  Value changes are committed on focus lost.

### ON_KEY_TYPED

    public static final ValueModelBindingBuilder.Commit ON_KEY_TYPED

  Value changes are committed on every key types.

Method Detail

### values

    public static ValueModelBindingBuilder.Commit[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ValueModelBindingBuilder.Commit c : ValueModelBindingBuilder.Commit.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ValueModelBindingBuilder.Commit valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2002-2011 JGoodies Karsten Lentzsch. All Rights Reserved.